Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package showutil.BuildGeometry

## Functions
def | addArrow
def | addArrowGeom
def | addBox
def | addBoxGeom
def | addCircle
def | addCircleGeom
def | addSquare
def | addSquareGeom
def | circleX
def | circleY
def | getCirclePoints
## Variables
int | GEO_ID = 0

## Function Documentation

def showutil.BuildGeometry.addArrow | ( |  | attachNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | layer = `0`
| ) |  |

def showutil.BuildGeometry.addArrowGeom | ( |  | rootNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | layer = `0`
| ) |  |

def showutil.BuildGeometry.addBox | ( |  | attachNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | sizeZ,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | darken = `0`
| ) |  |

def showutil.BuildGeometry.addBoxGeom | ( |  | rootNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | sizeZ,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | darken = `0`
| ) |  |

def showutil.BuildGeometry.addCircle | ( |  | attachNode,
|  |  | vertexCount,
|  |  | radius,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | centerColor = `None`,
|  |  | layer = `0`
| ) |  |

def showutil.BuildGeometry.addCircleGeom | ( |  | rootNode,
|  |  | vertexCount,
|  |  | radius,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | centerColor = `None`,
|  |  | layer = `0`
| ) |  |

def showutil.BuildGeometry.addSquare | ( |  | attachNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | layer = `0`
| ) |  |

def showutil.BuildGeometry.addSquareGeom | ( |  | rootNode,
|  |  | sizeX,
|  |  | sizeY,
|  |  | color = `Vec4(1.0, 1.0`,
|  |  | layer = `0`
| ) |  |

def showutil.BuildGeometry.circleX | ( |  | angle,
|  |  | radius,
|  |  | centerX,
|  |  | centerY
| ) |  |

def showutil.BuildGeometry.circleY | ( |  | angle,
|  |  | radius,
|  |  | centerX,
|  |  | centerY
| ) |  |

def showutil.BuildGeometry.getCirclePoints | ( |  | segCount,
|  |  | centerX,
|  |  | centerY,
|  |  | radius,
|  |  | wideX = `1.0`,
|  |  | wideY = `1.0`
| ) |  |

## Variable Documentation

int GEO_ID = 0

All Classes Namespaces Functions Variables Enumerations Enumerator Properties